// s (because fancy prefix and easy to type) and f (because also fast to type, from "fancy")
// formats `body` as Departure Mono. for variable/highlighting purposes.
#let sf(body) = text(font: "Departure Mono", body);

#let generic(numbering: true, author: "Jade", date: datetime.today().display(), title: "Document", doc) = {
  // Word abbreviations
  show "afg": "Aufgabe";
  show "def": "Definition";
  show "bsp": "Beispiel";
  show "zb": "zum Beispiel";
  show "wdh": "Wiederholung";

  // symbol shortcuts
  show "->": sym.arrow.r;
  show "<-": sym.arrow.l;

  show heading: it => {
    set text(font: "Departure Mono")
    underline(it)
  }
  set text(font: "B612");

  set page(
    header: sf([
      #author /> Hausaufgabe 2#h(1fr)#date
    ]),
    footer: align(center, context sf([\~ #here().page() \~]))
  )

  set document(
    title: title,
    author: (author),
  )

  doc
}

